package cardgame;

import java.util.Random;
import java.util.Scanner;

public class CardGame {

    public static void main(String[] args) {
        int dealerCard1, dealerCard2, dealerCard3;
        String dealerCardName1, dealerCardName2, dealerCardName3;
        int playerCard1, playerCard2, playerCard3;
        String playerCardName1, playerCardName2, playerCardName3;
        Scanner input = new Scanner(System.in);
        Random rnd = new Random();

        // Initialization
        int dealerPoints = 0;
        int playerPoints = 0;

        // First round - deal two cards to each player.
        dealerCard1 = rnd.nextInt(13) + 1;
        if (dealerCard1 >= 10) {
            dealerPoints = dealerPoints + 10;
        } else {
            dealerPoints = dealerPoints + dealerCard1;
        }
        if (dealerCard1 == 1) {
            dealerCardName1 = "Ace";
        } else if (dealerCard1 == 11) {
            dealerCardName1 = "Jack";
        } else if (dealerCard1 == 12) {
            dealerCardName1 = "Queen";
        } else if (dealerCard1 == 13) {
            dealerCardName1 = "King";
        } else {
            dealerCardName1 = Integer.toString(dealerCard1);
        }

        dealerCard2 = rnd.nextInt(13) + 1;
        if (dealerCard2 >= 10) {
            dealerPoints = dealerPoints + 10;
        } else {
            dealerPoints = dealerPoints + dealerCard2;
        }
        if (dealerCard2 == 1) {
            dealerCardName2 = "Ace";
        } else if (dealerCard2 == 11) {
            dealerCardName2 = "Jack";
        } else if (dealerCard2 == 12) {
            dealerCardName2 = "Queen";
        } else if (dealerCard2 == 13) {
            dealerCardName2 = "King";
        } else {
            dealerCardName2 = Integer.toString(dealerCard2);
        }

        playerCard1 = rnd.nextInt(13) + 1;
        if (playerCard1 >= 10) {
            playerPoints = playerPoints + 10;
        } else {
            playerPoints = playerPoints + playerCard1;
        }
        if (playerCard1 == 1) {
            playerCardName1 = "Ace";
        } else if (playerCard1 == 11) {
            playerCardName1 = "Jack";
        } else if (playerCard1 == 12) {
            playerCardName1 = "Queen";
        } else if (playerCard1 == 13) {
            playerCardName1 = "King";
        } else {
            playerCardName1 = Integer.toString(playerCard1);
        }

        playerCard2 = rnd.nextInt(13) + 1;
        if (playerCard2 >= 10) {
            playerPoints = playerPoints + 10;
        } else {
            playerPoints = playerPoints + playerCard2;
        }
        if (playerCard2 == 1) {
            playerCardName2 = "Ace";
        } else if (playerCard2 == 11) {
            playerCardName2 = "Jack";
        } else if (playerCard2 == 12) {
            playerCardName2 = "Queen";
        } else if (playerCard2 == 13) {
            playerCardName2 = "King";
        } else {
            playerCardName2 = Integer.toString(playerCard2);
        }

        // To remove clutter below, go ahead and generatate potential
        // second round cards.
        playerCard3 = rnd.nextInt(13) + 1;
        if (playerCard3 == 1) {
            playerCardName3 = "Ace";
        } else if (playerCard3 == 11) {
            playerCardName3 = "Jack";
        } else if (playerCard3 == 12) {
            playerCardName3 = "Queen";
        } else if (playerCard3 == 13) {
            playerCardName3 = "King";
        } else {
            playerCardName3 = Integer.toString(playerCard3);
        }

        dealerCard3 = rnd.nextInt(13) + 1;
        if (dealerCard3 == 1) {
            dealerCardName3 = "Ace";
        } else if (dealerCard3 == 11) {
            dealerCardName3 = "Jack";
        } else if (dealerCard3 == 12) {
            dealerCardName3 = "Queen";
        } else if (dealerCard3 == 13) {
            dealerCardName3 = "King";
        } else {
            dealerCardName3 = Integer.toString(dealerCard3);
        }

        // Print the results of round 1
        System.out.println("Dealer has " + dealerCardName1 + " and " + dealerCardName2 + " for a total of " + dealerPoints + " points.");
        System.out.println("You have " + playerCardName1 + " and " + playerCardName2 + " for a total of " + playerPoints + " points.");
        if (dealerPoints > 17 && playerPoints > 17) {
            System.out.println("Both players bust. Game ends in a tie.");
        } else if (dealerPoints > 17) {
            System.out.println("Dealer busts. You win.");
        } else if (playerPoints > 17) {
            System.out.println("You have gone bust. You lose.");
        } else {
            // Logic for round two
            System.out.println("Game advances to second round.");

            System.out.print("What do you want to do, hit or stay? ");
            String playerChoice = input.next();
            if (playerChoice.equalsIgnoreCase("hit")) {
                if (playerCard3 >= 10) {
                    playerPoints = playerPoints + 10;
                } else {
                    playerPoints = playerPoints + playerCard3;
                }

                System.out.println("Your next card is " + playerCardName3 + ".");
                System.out.println("You now have " + playerPoints + " points.");
            }

            if ((playerPoints <= 17) && (dealerPoints < 14 || dealerPoints < playerPoints)) {
                System.out.println("Dealer takes another card.");

                if (dealerCard3 >= 10) {
                    dealerPoints = dealerPoints + 10;
                } else {
                    dealerPoints = dealerPoints + dealerCard3;
                }

                System.out.println("Dealer's next card is " + dealerCardName3 + ".");
                System.out.println("Dealer now has " + dealerPoints + ".");
            } else if (playerPoints <= 17) {
                System.out.println("Dealer stays.");
            }

            // Print the results
            if (playerPoints > 17) {
                System.out.println("You have gone bust. You lose.");
            } else if (dealerPoints > 17) {
                System.out.println("Dealer busts. You win.");
            } else {
                System.out.println("Dealer has " + dealerPoints + " and you have " + playerPoints + ".");
                if (dealerPoints > playerPoints) {
                    System.out.println("Dealer wins on points.");
                } else if (dealerPoints == playerPoints) {
                    System.out.println("Game ties on points.");
                } else {
                    System.out.println("You win on points.");
                }
            }
        }
    }
}
